com.fasterxml.jackson.annotation

## Class JacksonInject.Value

- java.lang.Object
- - com.fasterxml.jackson.annotation.JacksonInject.Value

All Implemented Interfaces:
  JacksonAnnotationValue<JacksonInject>, Serializable

Enclosing class:
  JacksonInject

    public static class JacksonInject.Value
    extends Object
    implements JacksonAnnotationValue<JacksonInject>, Serializable

Helper class used to contain information from a single `JacksonInject` annotation, as well as to provide possible overrides from non-annotation sources.

Since:
  2.9
See Also:
  Serialized Form

### Field Summary

Fields
`protected Object` `_id` Id to use to access injected value; if `null`, "default" name, derived from accessor will be used.
`protected Boolean` `_useInput`
`protected static JacksonInject.Value` `EMPTY`

### Constructor Summary

Constructors
`protected` `Value(Object id, Boolean useInput)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JacksonInject.Value` `construct(Object id, Boolean useInput)`
`static JacksonInject.Value` `empty()`
`boolean` `equals(Object o)`
`static JacksonInject.Value` `forId(Object id)`
`static JacksonInject.Value` `from(JacksonInject src)`
`Object` `getId()`
`Boolean` `getUseInput()`
`int` `hashCode()`
`boolean` `hasId()`
`String` `toString()`
`Class<JacksonInject>` `valueFor()` Introspection method that may be used to find actual annotation that may be used as the source for value instance.
`boolean` `willUseInput(boolean defaultSetting)`
`JacksonInject.Value` `withId(Object id)`
`JacksonInject.Value` `withUseInput(Boolean useInput)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY

    protected static final JacksonInject.Value EMPTY

#### _id

    protected final Object _id

Id to use to access injected value; if `null`, "default" name, derived from accessor will be used.

#### _useInput

    protected final Boolean _useInput

### Constructor Detail

#### Value

    protected Value(Object id,
                    Boolean useInput)

### Method Detail

#### valueFor

    public Class<JacksonInject> valueFor()

Description copied from interface: `JacksonAnnotationValue`
Introspection method that may be used to find actual annotation that may be used as the source for value instance.

Specified by:
  `valueFor` in interface `JacksonAnnotationValue<JacksonInject>`
Returns:
  Annotation class for which instances of this value class are created

#### empty

    public static JacksonInject.Value empty()

#### construct

    public static JacksonInject.Value construct(Object id,
                                                Boolean useInput)

#### from

    public static JacksonInject.Value from(JacksonInject src)

#### forId

    public static JacksonInject.Value forId(Object id)

#### withId

    public JacksonInject.Value withId(Object id)

#### withUseInput

    public JacksonInject.Value withUseInput(Boolean useInput)

#### getId

    public Object getId()

#### getUseInput

    public Boolean getUseInput()

#### hasId

    public boolean hasId()

#### willUseInput

    public boolean willUseInput(boolean defaultSetting)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`